Unit AM11R_p;
interface
uses
SysUtils, Math, { Delphi }
LStruct, Lfunc;

procedure AM11R(var A :Array of Real; var B :Array of Real;
                var S :Array of Real; N :Integer); 
implementation

procedure AM11R(var A :Array of Real; var B :Array of Real;
                var S :Array of Real; N :Integer);
var
I,J,K :Integer;
R :Real;
label
_1,_2,_3;
begin
for K:=1 to N do
 begin
  for I:=1 to N do
   begin
    R := 0.0;
    for J:=1 to N do
     begin
_1:
      R := R+B[(J-1)+(K-1)*N]*A[(I-1)+(J-1)*N];
     end;
_2:
    S[I-1] := R;
   end;
  for J:=1 to N do
   begin
_3:
    B[(J-1)+(K-1)*N] := S[J-1];
   end;
 end;
end;

end.
